"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
// import { SwipeAction } from 'react-swipeable-list';
const styles_1 = require("./styles");
const Action = (props) => {
    return (react_1.default.createElement(styles_1.ActionContent, { style: props.style, onClick: (...args) => {
            if (props.onClick != undefined) {
                const r = props.onClick(...args);
                console.log('d', props.destructive, props?.destroy, props?.close);
                if (props.destructive)
                    setTimeout(() => {
                        props?.destroy(true);
                    }, props.destroyDelay);
                else
                    setTimeout(() => {
                        props?.close(true);
                    }, props.closeDelay);
                return r;
            }
        } }, props.children));
};
exports.default = (0, styled_components_1.withTheme)(Action);
//# sourceMappingURL=index.js.map